matrix:
  platform:
  - ubuntu2204
  - ubuntu2404
  bazel:
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@ogre-next//:ogre-main'
    - '@ogre-next//:RenderSystem_GL3Plus.so'
    - '@ogre-next//:hlms_common'
    - '@ogre-next//:hlms_pbs'
    - '@ogre-next//:hlms_unlit'
    - '@ogre-next//:overlay'
